"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class RoleInCancer(object):
    """
    The role of a given genomic feature in cancer  * oncogene: A gene that
    is a mutated (changed) form of a gene involved in normal cell
    growth. Oncogenes may cause the growth of cancer cells. Mutations
    in genes that become oncogenes can be inherited or caused by being
    exposed to substances in the environment that cause cancer.
    http://purl.obolibrary.org/obo/NCIT_C16936 *
    tumor_suppressor_gene: A type of gene that makes a protein called
    a tumor suppressor protein that helps control cell growth.
    Mutations (changes in DNA) in antioncogenes may lead to cancer.
    http://purl.obolibrary.org/obo/NCIT_C17362
    """

    oncogene = "oncogene"
    tumor_suppressor_gene = "tumor_suppressor_gene"
    both = "both"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "4.2.0"
